#!/bin/bash

################################################################################
# VSwitch Constants
################################################################################
VSW_LIB="${VS_ROOT}/vs-lib"
VS_PYTHON_PATH="${VSW_LIB}:${VS_USR_LIB}/python3.10/site-packages"
VSW_USR="${VS_ROOT}/usr"
VSW_USR_ETC="${VSW_USR}/etc"
VSW_ENV_PATH="${VSW_USR_ETC}/${PKG_NAME}-env"

################################################################################
# VS Commands
################################################################################
CMD_PYTHON="/usr/bin/python3"

################################################################################
# Utils functions
################################################################################
get_lib_path()
{
    local qvm_pkgs=(${PKG_VSWITCH})
    local len=${#qvm_pkgs[@]}
    local lib_str=''

    for i in ${qvm_pkgs[@]}; do
        pkg_lib=/usr/share/${i}/usr/lib
        if [ x"${i}" == x"${qvm_pkgs[0]}" ]; then
            lib_str=${pkg_lib}
        else
            lib_str=${pkg_lib}:${lib_str}
        fi
    done
    ${CMD_ECHO} ${lib_str}
}

debug()
{
	${CMD_ECHO} "DEBUG=${TRUE}" > ${VSW_ENV_PATH}
}

